#ifndef SOFTWARETRABSPORT_SEEN
#define SOFTWARETRABSPORT_SEEN

#include "abstractSoftware.h"

class softwareTransport : public abstractSoftware
{

    protected :

  bool  moments2FromTransport(string workingDir, string elLab, const nomdElements elem, beam2Moments& moments) const;

 public : 
    softwareTransport();
    softwareTransport(string inputFileName, globalParameters* globals, dataManager* beamLine);

  virtual ~softwareTransport() {;}
  virtual bool createInputFile( particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir);

  virtual bool  execute(unsigned int numeroDeb,unsigned int numeroFin,string workingDir);


virtual bool buildBeamAfterElements(unsigned int numeroDeb,unsigned int numeroFin, vector<particleBeam>& beams, string workingDir);

    inline string getColor() {
        return "#c0ea8e";
    }
    
    inline string getName() {
        return "transport";
    }

};
#endif
